<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Fiyatlar Düzenlendi - Opencartvip</title>
</head>
<body>
<?php

include("config.php");

// 0.99, 0.90 veya 0 olarak küsüratsız yuvarlama yapabilirsiniz 
$yuvarlama=0.90; // Şu durumda fiyatlar 124.90 gibi görünecektir.

	// Fiyatları düzelttirme fonksiyonu
	function FiyatYuvarla ($price,$yuvarlama,$vergi) {
	
	if ($vergi!=""){
	$vergi_orani=($vergi/100)+1; // 18'leri 1.18'e , 8'leri 1.08'e çeviriyoruz
	}
	else { $vergi_orani=1; }
	$yeni_fiyat=$price*$vergi_orani; // Önce fiyata %18 ekliyor sitedeki görünen hali için
	$yeni_fiyat= floor($yeni_fiyat); // Küsüratları atsın diye.
	$yeni_fiyat=$yeni_fiyat+$yuvarlama; // yuvarlama kadar kuruş ekliyor.
	$yeni_fiyat=$yeni_fiyat/$vergi_orani; // KDV hariç fiyatını veritabanına kaydettireceğiz
	return $yeni_fiyat;
	}
$link= mysqli_connect(DB_HOSTNAME,DB_USERNAME,DB_PASSWORD,DB_DATABASE);
mysqli_select_db($link, DB_DATABASE);
@mysqli_query("SET NAMES 'utf8'");
$nokta_say=0;
$nokta_say2=0;
$strSQL1= "SELECT * FROM ".DB_PREFIX."product";
$result1= mysqli_query($link,$strSQL1);
while ($row1 = mysqli_fetch_array($result1))
    {
			$nokta_say++;
	   if($nokta_say%49==0) { echo "."; $nokta_say2++; }
	   if($nokta_say2==275) { echo "<br>"; $nokta_say2=0;}
	
	$product_id= $row1['product_id'];
	$price= $row1['price'];
	$tax_class_id= $row1['tax_class_id'];
	
	// Vergi oranını id tax_rate_id okutuyoruz
	$strSQL2= "SELECT * FROM ".DB_PREFIX."tax_rule where tax_class_id='".$tax_class_id."'";
	$result2= mysqli_query($link,$strSQL2);
	$row2 = mysqli_fetch_array($result2);
	$tax_rate_id= $row2['tax_rate_id'];
	// Vergi oranını tax_rate okutuyoruz
	$strSQL3= "SELECT * FROM ".DB_PREFIX."tax_rate where tax_rate_id='".$tax_rate_id."'";
	$result3= mysqli_query($link,$strSQL3);
	$row3 = mysqli_fetch_array($result3);
	$vergi_orani= $row3['rate'];
	$son_ana_fiyat = FiyatYuvarla ($price,$yuvarlama,$vergi_orani);

	$fiyat_sql= "UPDATE `".DB_PREFIX."product` SET price='".$son_ana_fiyat."' where product_id='".$product_id."'";
		$fiyat_update = @mysqli_query($link,$fiyat_sql);
	 //KAMPANYALI FİYATLARI YUVARLATIYORUZ  
	 $strSQL6= "SELECT * FROM ".DB_PREFIX."product_special where product_id='".$product_id."'";
		$result6= mysqli_query($link,$strSQL6);
	while ($row6 = mysqli_fetch_array($result6))
    {
	$price_special= $row6['price'];
	$son_special_fiyat=FiyatYuvarla ($price_special,$yuvarlama,$vergi_orani);
	$product_special_id= $row6['product_special_id'];
	$fiyat_special_sql= "UPDATE `".DB_PREFIX."product_special` SET price='".$son_special_fiyat."' where product_special_id='".$product_special_id."'";
	$fiyat_special_update = @mysqli_query($link,$fiyat_special_sql);
	echo "+";
     }  // Kampanyalı fiyat while kapanışı 


	 // İNDİRİMLİ FİYATLARI YUVARLATIYORUZ
	 $strSQL9= "SELECT * FROM ".DB_PREFIX."product_discount where product_id='".$product_id."'";
$result9= mysqli_query($link,$strSQL9);
while ($row9 = mysqli_fetch_array($result9))
    {
	$price_discount= $row9['price'];
	$son_discount_fiyat=FiyatYuvarla ($price_discount,$yuvarlama,$vergi_orani);
	$product_discount_id= $row9['product_discount_id'];
	$fiyat_discount_sql= "UPDATE `".DB_PREFIX."product_discount` SET price='".$son_discount_fiyat."' where product_discount_id='".$product_discount_id."'";
			$fiyat_discount_update = @mysqli_query($link,$fiyat_discount_sql);
echo "*";
     } // İNDİRİMLİ FİYATLAR WHILE KAPANIŞI
	 
  } // Genel Ürün id okutan while kapanışı
echo "<br>TÜM ÜRÜN FİYATLARI VİRGÜLDEN SONRASI ".$yuvarlama." OLACAK BİÇİMDE DÜZENLENDİ";

?>
</body>

</html>